Subject: celestia: moons and rings are missing
From: Christopher Howard <[email-masked]>
To: [email-masked]
Date: Tue, 08 Dec 2020 03:27:03 -0900
List-Id: <debbugs-submit.debbugs.gnu.org>

In the celestia-glut program from celestia package (not to be confused
with the celestia-gtk package) moons and rings are not visible, though
they are still selectable as navigation items.

Note this problem does NOT exist in the celestia-gtk version from the
celestia-gtk package.

I suspect this might be related to some deficiency in my older graphics
card, but haven't yet been able to get anybody to work with me on
trying to reproduce this. If somebody with a newer graphics card is
able to see the moons and rings, we could mark this a wont-fix. (I have
not been able to figure out in celestia-glut how to access any
rendering settings.)

To reproduce:

1. install celestia package
2. run `celestia-glut'
3. CTRL-j `titan'
4. `g'

(You will be zoomed into where the moon titan is supposed to be, but it
is not visible.)

5. CTRL-j `saturn'
6. `g'

You will see Saturn, with the rings labelled, but not visible.

My guix pull is a week or two old, but it doesn't look like this
package has been changed in months, according to the git log.

Looking, I see that there is low and medium res textures for titan in
the installed files, so at least the texture files are getting
installed.

These are the only errors I'm seeing on the command line:

"""
christopher@nightshade ~ [env]$ celestia-glut
textures/medres/earth-normal.*: unrecognized or unsupported image file
type.
textures/lores/earth-normal.*: unrecognized or unsupported image file
type.
textures/hires/earth-normal.*: unrecognized or unsupported image file
type.
"""

christopher@nightshade ~$ guix describe
Generation 36	Nov 29 2020 17:04:00	(current)
  guix b618c15
    repository URL: https://git.savannah.gnu.org/git/guix.git
    commit: b618c1512b9086199ce0496dbbcc4f4f587a826d

christopher@nightshade ~$ neofetch --stdout
christopher@nightshade 
---------------------- 
OS: Guix System b618c1512b9086199ce0496dbbcc4f4f587a826d x86_64 
Host: GA-880GM-UD2H 
Kernel: 5.9.11-gnu 
Uptime: 8 days, 9 hours, 33 mins 
Packages: 104 (guix-system), 87 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1200 
DE: GNOME 3.34.2 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: kitty 
CPU: AMD Athlon II X3 455 (3) @ 3.300GHz 
GPU: NVIDIA GeForce 8400 GS Rev. 3 
Memory: 2399MiB / 7960MiB

-- 
Christopher Howard
p: +1 (907) 374-0257
w: https://librehacker.com
social: https://gnusocial.club/librehacker
gpg: ADDEAADE5D607C8D (keys.gnupg.net)